Page MenuHomePhabricator

Resultswitchers: send straight to ty page on reload
Closed, ResolvedPublic2 Story Points

Description

When a donor hits the resultswitcher, we process their donation and clear the donor data out of session. If they somehow reload the page, we're currently showing an error because there's no donor data in the session.

We should restore the logic that tracked processed order IDs in a key outside of the donor data, and send them to the TY page if they reload with an order ID we've processed.

Event Timeline

Ejegg created this task.Jun 15 2017, 5:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 15 2017, 5:39 PM

Change 359213 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] WIP send resultswitcher reloaders to TY page

https://gerrit.wikimedia.org/r/359213

Ejegg claimed this task.Jun 15 2017, 6:25 PM
Ejegg triaged this task as Normal priority.
Ejegg set the point value for this task to 2.

Change 359213 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Send resultswitcher reloaders to TY page

https://gerrit.wikimedia.org/r/359213

Change 362295 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@deployment] Send resultswitcher reloaders to TY page

https://gerrit.wikimedia.org/r/362295

Change 362295 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@deployment] Send resultswitcher reloaders to TY page

https://gerrit.wikimedia.org/r/362295

Ejegg closed this task as Resolved.Jul 18 2017, 7:45 PM
Ejegg reopened this task as Open.Jul 27 2017, 7:43 PM

Dang, 48924593.0 in yesterday's PayPal EC test reloaded the resultswitcher and got a fail page.

Change 368307 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Store processed payments in main cache, not session

https://gerrit.wikimedia.org/r/368307

Change 368307 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Store processed payment id list in main cache, not session

https://gerrit.wikimedia.org/r/368307

Ejegg closed this task as Resolved.Aug 16 2017, 7:48 PM